List resources
curl --request GET \
--url https://api.prd.rad.security/clusters/{cluster_id}/resourcesimport requests
url = "https://api.prd.rad.security/clusters/{cluster_id}/resources"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prd.rad.security/clusters/{cluster_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"account_id": "<string>",
"api_version": "<string>",
"cluster_id": "<string>",
"deleted_at": "<string>",
"deletion_source": "<string>",
"entity_type": "<string>",
"id": "<string>",
"ingested_at": "<string>",
"kind": "<string>",
"name": "<string>",
"namespace": "<string>",
"owner_uid": "<string>",
"raw": "aSDinaTvuI8gbWludGxpZnk=",
"resource_created_at": "<string>",
"resource_version": "<string>",
"uid": "<string>",
"version_overwritten_at": "<string>",
"watched_at": "<string>"
}
],
"page": 123,
"page_count": 123,
"page_size": 123,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}Resources
List resources
Get resources for given cluster id.
GET
/
clusters
/
{cluster_id}
/
resources
List resources
Path Parameters
Cluster id
Query Parameters
Namespace
Name
OwnerUID
Image digest
Page number starting from 1
Page size. Default: 50
List of resource types separated by comma. If not provided, all resource types will be returned
Flag to return payload. Default: false
⌘I